Loading...
Searching...
No Matches
TrcStackElemParam Class Reference

`#include <trc_etmv4_stack_elem.h>`

Inheritance diagram for TrcStackElemParam:
[legend]
Collaboration diagram for TrcStackElemParam:
[legend]

## Public Member Functions

void | setParam (const uint32_t param, const int nParamNum)
const uint32_t & | getParam (const int nParamNum) const
Public Member Functions inherited from TrcStackElem
| TrcStackElem (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElem ()
const p0_elem_t | getP0Type () const
const ocsd_etmv4_i_pkt_type | getRootPkt () const
const ocsd_trc_index_t | getRootIndex () const
const bool | isP0 () const

## Protected Member Functions

| TrcStackElemParam (const p0_elem_t p0_type, const bool isP0, const ocsd_etmv4_i_pkt_type root_pkt, const ocsd_trc_index_t root_index)
virtual | ~TrcStackElemParam ()

## Friends

class | EtmV4P0Stack

## Additional Inherited Members

Protected Attributes inherited from TrcStackElem
bool | m_is_P0

## Detailed Description

Generic param element

Definition at line 293 of file trc_etmv4_stack_elem.h.

## Constructor & Destructor Documentation

## TrcStackElemParam()

TrcStackElemParam::TrcStackElemParam | ( | const p0_elem_t | p0_type,
|  | const bool | isP0,
|  | const ocsd_etmv4_i_pkt_type | root_pkt,
|  | const ocsd_trc_index_t | root_index
| ) |  |

inline protected

Definition at line 309 of file trc_etmv4_stack_elem.h.

## ~TrcStackElemParam()

virtual TrcStackElemParam::~TrcStackElemParam | ( |  | ) |

inline protected virtual

Definition at line 297 of file trc_etmv4_stack_elem.h.

## Member Function Documentation

## getParam()

const uint32_t & TrcStackElemParam::getParam | ( | const int | nParamNum | ) | const

inline

Definition at line 303 of file trc_etmv4_stack_elem.h.

## setParam()

void TrcStackElemParam::setParam | ( | const uint32_t | param,
|  | const int | nParamNum
| ) |  |

inline

Definition at line 302 of file trc_etmv4_stack_elem.h.

## Friends And Related Symbol Documentation

## EtmV4P0Stack

friend class EtmV4P0Stack

friend

Definition at line 299 of file trc_etmv4_stack_elem.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_etmv4_stack_elem.h